# Class default

- Defined in src/test/utils/TextInterceptor.ts:1

#####
Index

### Constructors

constructor

### Properties

logs
scene

### Methods

getLatestMessage
showText

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: any

  #### Returns default

  - Defined in src/test/utils/TextInterceptor.ts:4

## Properties

### `Private` logs

logs: any[] = []

- Defined in src/test/utils/TextInterceptor.ts:3

### `Private` scene

scene: any

- Defined in src/test/utils/TextInterceptor.ts:2

## Methods

### getLatestMessage

- getLatestMessage(): string

- #### Returns string

  - Defined in src/test/utils/TextInterceptor.ts:13

### showText

- showText(text, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  - Defined in src/test/utils/TextInterceptor.ts:9